Skip to main content
GET
/
{publicTenantSlug}
/
vacancy-portal
/
jobs
/
{jobBoardPostingId}
Get posted job details
curl --request GET \
  --url https://api.gospott.com/{publicTenantSlug}/vacancy-portal/jobs/{jobBoardPostingId}
{
  "id": "<string>",
  "externalJobTitle": "<string>",
  "jobDescription": "<string>",
  "location": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "region": "<string>",
    "state": "<string>",
    "country": "<string>",
    "rawCityCountry": "<string>",
    "latitude": 123,
    "longitude": 123,
    "formattedAddress": "<string>"
  },
  "publishedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

publicTenantSlug
string
required
jobBoardPostingId
string
required

Response

id
string
required
Minimum string length: 1
externalJobTitle
string
required
jobDescription
string
required
locationType
enum<string> | null
required
Available options:
remote,
hybrid,
onsite
location
object
required
employmentType
enum<string> | null
required
Available options:
fullTime,
partTime,
temporary,
internship,
permanent,
fixedTermContract,
interimOrTemporary
publishedAt
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$